﻿const cheerio = require('cheerio');
const axios = require('axios');

async function torrent1337x({query, category}) {
    if (category === 'Series') {
        category = 'TV';
    }
    const torrents = [];
    const url = 'https://1337x.to/category-search/' + query + '/' + category + '/1/';
    let html;
    try{
        html = await axios.get(url);
    }catch{
        return null;
    }
    const $ = cheerio.load(html.data);
    const links = $('td.name').map((_, element) => {
        var link = 'https://1337x.to' + $(element).find('a').next().attr('href');
        return link;
    }).get();
    await Promise.all(links.map(async (element) => {
        let html;
        try{
            html = await axios.get(element);
        }catch{
            return null;
        }
        const $ = cheerio.load(html.data);
        const torrent = {
            title: $('.box-info-heading h1').text().trim(),
            url: element,
            magnet: $('.clearfix ul li a').attr('href') || "",
            seed: $('div .clearfix ul li > span').eq(8).text(),
            leech: $('div .clearfix ul li > span').eq(9).text(),
            size: $('div .clearfix ul li > span').eq(3).text()
        }
        if (torrent.size) {
            torrents.push(torrent);
        }
    }));
    return {domain: url, query: query, torrents};
}

module.exports.search = torrent1337x;
