const cheerio = require('cheerio');
const axios = require('axios');

async function solidTorrents({query}) {
    const torrents = [];
    const url = 'https://solidtorrents.to/search?q=' + query + '&page=1&sort=seeders';
    const url2 = 'https://solidtorrents.to/search?q=' + query + '&page=2&sort=seeders';
    let html;
    let html2;
    try{
        html = await axios.get(url);
        html2 = await axios.get(url2);
    }catch{
        return null;
    }
    const $ = cheerio.load(html.data + html2.data);
    $('li.search-result').each((i, element) => {
        const torrent = {
            title: $(element).find('.info h5 a').text().trim(),
            url: 'https://solidtorrents.to' + $(element).find('.info h5 a').attr('href'),
            magnet: $(element).find('.links a').next().attr('href'),
            seed: $(element).find('.info div div').eq(4).text().trim().replace('.', '').replace('K', '00'),
            leech: $(element).find('.info div div').eq(5).text().trim().replace('.', '').replace('K', '00'),
            size: $(element).find('.info div div').eq(3).text().trim()
        }
        if (torrent.size) {
            torrents.push(torrent);
        }
    });
    return {domain: url, query: query, torrents};
}

module.exports.search = solidTorrents;
