var test = require("tape");
var testSetup = require("redtape");
var NwBuilder = require("../lib/index.cjs");
var semver = require("semver");
var nock = require("nock");
var fs = require("fs");
var path = require("path");
var _ = require("lodash");
var del = require("rimraf");
var xmlFixture =
  '<?xml version="1.0" encoding="UTF-8"?><ListBucketResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/"><Name>node-webkit</Name><Prefix></Prefix><Marker></Marker><MaxKeys>1000</MaxKeys><IsTruncated>false</IsTruncated><Contents><Key>0.8.1-rc1/</Key><LastModified>2013-11-22T04:53:26.000Z</LastModified><ETag>&quot;d41d8cd98f00b204e9800998ecf8427e&quot;</ETag><Size>0</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/node-webkit-v0.8.1-rc1-linux-ia32.tar.gz</Key><LastModified>2013-11-22T04:53:46.000Z</LastModified><ETag>&quot;8231308b2cc5fda4a747efd7152d0a25&quot;</ETag><Size>36489639</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/node-webkit-v0.8.1-rc1-linux-x64.tar.gz</Key><LastModified>2013-11-22T04:53:46.000Z</LastModified><ETag>&quot;9b12fbee3d6791b3eed09b310ec5465d&quot;</ETag><Size>41197729</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/node-webkit-v0.8.1-rc1-osx-ia32.zip</Key><LastModified>2013-11-22T04:53:46.000Z</LastModified><ETag>&quot;900e63f57faea8eacc1529679f0654d0&quot;</ETag><Size>35837061</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/node-webkit-v0.8.1-rc1-win-ia32.zip</Key><LastModified>2013-11-22T04:53:46.000Z</LastModified><ETag>&quot;a4be2aecc938a23d477663b65ceecb5c&quot;</ETag><Size>25790337</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/node-webkit-v0.8.1-win-ia32.zip</Key><LastModified>2013-11-22T04:53:54.000Z</LastModified><ETag>&quot;780e50f05fd827d4d8fbd5247800a6f5&quot;</ETag><Size>25795282</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/nw-headers-v0.8.1.tar.gz</Key><LastModified>2013-11-22T04:53:52.000Z</LastModified><ETag>&quot;54cece266e0ebed2a9d24e14c7a80b44&quot;</ETag><Size>2244679</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/nw.breakpad.ia32.gz</Key><LastModified>2013-11-22T04:53:47.000Z</LastModified><ETag>&quot;18caa1dd2d73f7e0e3601d37709a2353&quot;</ETag><Size>34134326</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/nw.breakpad.x64.gz</Key><LastModified>2013-11-22T04:53:47.000Z</LastModified><ETag>&quot;89de6142f9f9f8b218a2c1ccd78660b1&quot;</ETag><Size>32480448</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/nw.exe.pdb.zip</Key><LastModified>2013-11-22T04:55:28.000Z</LastModified><ETag>&quot;b710a21d74704c55158d8444a8f843be&quot;</ETag><Size>111717394</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/nw.exp</Key><LastModified>2013-11-22T04:54:07.000Z</LastModified><ETag>&quot;7f6d81e43ef836d4e76e680b82c415c9&quot;</ETag><Size>248409</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>0.8.1-rc1/nw.lib</Key><LastModified>2013-11-22T04:54:07.000Z</LastModified><ETag>&quot;3e369f5e6236e7e7ab8ef41822f553dd&quot;</ETag><Size>403114</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>07.DOC</Key><LastModified>2013-06-20T06:29:42.000Z</LastModified><ETag>&quot;a6848ac40a0a5baad09cf0c70832ba33-2&quot;</ETag><Size>28205568</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>debug/nw_debug_mac.zip</Key><LastModified>2012-09-28T01:40:47.000Z</LastModified><ETag>&quot;ce0838e7740c0938bb18a697396a7c8d&quot;</ETag><Size>59311405</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>debug/nw_release_win32.zip</Key><LastModified>2012-11-19T06:37:26.000Z</LastModified><ETag>&quot;0b86263d4527625c043a955ad7678390&quot;</ETag><Size>37289819</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>hello_world2.nw</Key><LastModified>2012-08-23T04:53:10.000Z</LastModified><ETag>&quot;c41d08ff68082f30be4b57416a4f6937&quot;</ETag><Size>538</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>index.0.html</Key><LastModified>2012-10-20T09:58:29.000Z</LastModified><ETag>&quot;3dbc41d79f6138a90ea5fb74d6335e8f&quot;</ETag><Size>2437</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>nw.exp</Key><LastModified>2013-02-21T01:33:01.000Z</LastModified><ETag>&quot;4e503091e88bd9dd4050e4ea41109835&quot;</ETag><Size>195197</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>osx32/</Key><LastModified>2012-07-12T01:20:21.000Z</LastModified><ETag>&quot;d41d8cd98f00b204e9800998ecf8427e&quot;</ETag><Size>0</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>osx32/cef_mac.pkg</Key><LastModified>2012-07-12T08:13:22.000Z</LastModified><ETag>&quot;daf91f573c7ce1557c0671383f2b2cb6&quot;</ETag><Size>20062051</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>owen-cloud/app.zip</Key><LastModified>2013-04-18T08:57:43.000Z</LastModified><ETag>&quot;0ba12cf3d221985b6cf28929cedd7ec2&quot;</ETag><Size>2231248</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>playground/</Key><LastModified>2012-11-08T13:57:37.000Z</LastModified><ETag>&quot;d41d8cd98f00b204e9800998ecf8427e&quot;</ETag><Size>0</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>playground/nw_release_mac.zip</Key><LastModified>2012-11-09T03:15:19.000Z</LastModified><ETag>&quot;690bd6c5298c149fb8852d2e8cf29ecd&quot;</ETag><Size>23407829</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>ppt.tar</Key><LastModified>2012-10-30T06:46:04.000Z</LastModified><ETag>&quot;c4276be5d330a44f26241ac2700b6708&quot;</ETag><Size>488448</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.2/nw_release_linux_x32.tar.gz</Key><LastModified>2012-08-23T03:07:30.000Z</LastModified><ETag>&quot;6f2a352a1172c88c6209d8ee32da59fd&quot;</ETag><Size>27180297</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.2/nw_release_linux_x64.tar.gz</Key><LastModified>2012-08-23T03:11:30.000Z</LastModified><ETag>&quot;431af624f01ae78aa5a507fa88b99f98&quot;</ETag><Size>27236898</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.2/nw_release_mac.zip</Key><LastModified>2012-08-23T03:16:02.000Z</LastModified><ETag>&quot;cbbb2c1a3751ca9b86570d61b2bcb538&quot;</ETag><Size>22160220</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.2/nw_release_win32.zip</Key><LastModified>2012-08-23T03:19:01.000Z</LastModified><ETag>&quot;386439bfe30390061c0be3a1734029fc&quot;</ETag><Size>20365825</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.3/nw_release_linux_x32.tar.gz</Key><LastModified>2012-08-27T02:19:36.000Z</LastModified><ETag>&quot;987fc8883028305a4e94d66bfd6a2afc&quot;</ETag><Size>24809883</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.3/nw_release_linux_x64.tar.gz</Key><LastModified>2012-08-27T02:20:50.000Z</LastModified><ETag>&quot;43a24bae52e9075c2f69025f7570e363&quot;</ETag><Size>24830503</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.3/nw_release_mac.zip</Key><LastModified>2012-08-27T01:35:59.000Z</LastModified><ETag>&quot;6ce79a90daaeb787e2907f94ac6208d0&quot;</ETag><Size>22200208</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.3/nw_release_win32.zip</Key><LastModified>2012-08-27T02:36:45.000Z</LastModified><ETag>&quot;cb3486ad9d13a425e25bd1a1ac2f53d1&quot;</ETag><Size>20310660</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.4/nw_release_linux_x32.tar.gz</Key><LastModified>2012-08-30T07:20:45.000Z</LastModified><ETag>&quot;949e5960356a163a7458ec98dc8479ea&quot;</ETag><Size>24879548</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.4/nw_release_linux_x64.tar.gz</Key><LastModified>2012-08-30T07:26:28.000Z</LastModified><ETag>&quot;5b3aa4b012b69a5c3bd76620ac1da0d7&quot;</ETag><Size>24900340</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.4/nw_release_mac.zip</Key><LastModified>2012-08-30T07:30:21.000Z</LastModified><ETag>&quot;bc300c9b1bf84b6aa07ae37bd079e68f&quot;</ETag><Size>22220054</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.4/nw_release_win32.zip</Key><LastModified>2012-08-30T07:33:27.000Z</LastModified><ETag>&quot;30ef55741446568c0ec7969adfb8b3aa&quot;</ETag><Size>20323129</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.5/nw_release_linux_x32.tar.gz</Key><LastModified>2012-09-10T07:01:20.000Z</LastModified><ETag>&quot;74c1e96cff3515096d4e9ba71f4036e6&quot;</ETag><Size>25061415</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.5/nw_release_linux_x64.tar.gz</Key><LastModified>2012-09-10T07:02:59.000Z</LastModified><ETag>&quot;a670166293c710e8a9b40395fdf67c6f&quot;</ETag><Size>25093596</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.5/nw_release_mac.zip</Key><LastModified>2012-09-10T07:04:08.000Z</LastModified><ETag>&quot;3a347cc5fd6daefd34b9db6e0db1e9a3&quot;</ETag><Size>22294577</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.5/nw_release_win32.zip</Key><LastModified>2012-09-10T07:06:52.000Z</LastModified><ETag>&quot;e8473725bc96a78d3e0eecd913b34f9d&quot;</ETag><Size>19980779</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.6/nw_release_linux_x32.tar.gz</Key><LastModified>2012-09-25T08:11:13.000Z</LastModified><ETag>&quot;1a84ecfbef8a49317f0e2fb9c5bb5f92&quot;</ETag><Size>27155757</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.6/nw_release_linux_x64.tar.gz</Key><LastModified>2012-09-25T08:15:04.000Z</LastModified><ETag>&quot;3ce9faa3d9fabd4846fc67bbbe61aec9&quot;</ETag><Size>27180697</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.6/nw_release_mac.zip</Key><LastModified>2012-09-25T08:18:32.000Z</LastModified><ETag>&quot;33492f5e68a98533af43ac57f5be3fda&quot;</ETag><Size>22586992</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.2.6/nw_release_win32.zip</Key><LastModified>2012-09-25T08:20:04.000Z</LastModified><ETag>&quot;a9263ac061a54c38e7c78076b26b691b&quot;</ETag><Size>20638194</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.0/nw_release_linux_x32.tar.gz</Key><LastModified>2012-10-22T07:22:03.000Z</LastModified><ETag>&quot;553aaa0f2143bb76fc6cbe4d10416d79&quot;</ETag><Size>27386485</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.0/nw_release_linux_x64.tar.gz</Key><LastModified>2012-10-22T07:27:22.000Z</LastModified><ETag>&quot;e1a6a00cf5a209cd765314627889a52d&quot;</ETag><Size>27391859</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.0/nw_release_mac.zip</Key><LastModified>2012-10-22T07:30:40.000Z</LastModified><ETag>&quot;0e0b8f7365ac94ad964df6878edeb97b&quot;</ETag><Size>22829703</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.0/nw_release_win32.zip</Key><LastModified>2012-10-23T01:23:02.000Z</LastModified><ETag>&quot;0c1cd828e980cf8443dfab4ac08a26af&quot;</ETag><Size>21040466</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.1/nw_release_linux_x32.tar.gz</Key><LastModified>2012-10-29T02:16:03.000Z</LastModified><ETag>&quot;17ec4de8fbb74225a30107d0bc8804b1&quot;</ETag><Size>27717885</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.1/nw_release_linux_x64.tar.gz</Key><LastModified>2012-10-29T02:22:16.000Z</LastModified><ETag>&quot;00b86f024ff0de523c48fbd058321790&quot;</ETag><Size>27723901</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.1/nw_release_mac.zip</Key><LastModified>2012-10-29T02:26:18.000Z</LastModified><ETag>&quot;50867dc3a0972c4108de7ca9f16f8bf8&quot;</ETag><Size>23212438</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.1/nw_release_win32.zip</Key><LastModified>2012-10-29T02:30:36.000Z</LastModified><ETag>&quot;1b34961609610b37d4769f759e25a5eb&quot;</ETag><Size>21077696</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw-headers-v0.3.2.tar.gz</Key><LastModified>2012-11-07T06:11:38.000Z</LastModified><ETag>&quot;68dcf98971a125a67df233214e858d28&quot;</ETag><Size>2324014</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw.exp</Key><LastModified>2012-11-07T08:15:48.000Z</LastModified><ETag>&quot;68f44ca8abecfbb159478f3d59d59b41&quot;</ETag><Size>186006</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw.lib</Key><LastModified>2012-11-07T08:15:50.000Z</LastModified><ETag>&quot;730b8d90017ccef80c16e1b3983a8d62&quot;</ETag><Size>301462</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw.pdb</Key><LastModified>2012-11-07T08:15:54.000Z</LastModified><ETag>&quot;947c9e5393dac4b4b83f4c36e504933d&quot;</ETag><Size>929792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw_release_linux_x32.tar.gz</Key><LastModified>2012-11-07T09:28:48.000Z</LastModified><ETag>&quot;d162ee6b440d8c37f72017e307a789bc&quot;</ETag><Size>27011029</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw_release_linux_x64.tar.gz</Key><LastModified>2012-11-07T09:29:33.000Z</LastModified><ETag>&quot;2949c3f5189ce8593e207fc47d8a6d3f&quot;</ETag><Size>29614911</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw_release_mac.zip</Key><LastModified>2012-11-07T01:56:11.000Z</LastModified><ETag>&quot;abd0ad4913fb92a740425a18e71eaa62&quot;</ETag><Size>23407592</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.2/nw_release_win32.zip</Key><LastModified>2012-11-07T08:15:57.000Z</LastModified><ETag>&quot;96c059c75ba1ab89978e7efd61152163&quot;</ETag><Size>21248627</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/node-webkit-v0.3.3-linux-ia32.tar.gz</Key><LastModified>2012-11-12T06:19:48.000Z</LastModified><ETag>&quot;e96fb795bb2e94fcaef686da91a1a3f7&quot;</ETag><Size>27009526</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/node-webkit-v0.3.3-linux-x64.tar.gz</Key><LastModified>2012-11-12T06:21:34.000Z</LastModified><ETag>&quot;bcb90de09df7d3bab80d700f412073a6&quot;</ETag><Size>29613499</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/node-webkit-v0.3.3-osx-ia32.zip</Key><LastModified>2012-11-12T05:10:55.000Z</LastModified><ETag>&quot;9be6819a3fc0d48325e8310aa720e1e2&quot;</ETag><Size>23407832</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/node-webkit-v0.3.3-win-ia32.zip</Key><LastModified>2012-11-12T06:18:08.000Z</LastModified><ETag>&quot;e1c212d35fb756824307431714cb3499&quot;</ETag><Size>21143088</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/nw-headers-v0.3.3.tar.gz</Key><LastModified>2012-11-12T05:38:53.000Z</LastModified><ETag>&quot;2e8d6f8058e4da13a175000585dff586&quot;</ETag><Size>2324616</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/nw.exp</Key><LastModified>2012-11-12T06:17:57.000Z</LastModified><ETag>&quot;d164c43ec5c85c757061aed035a113b4&quot;</ETag><Size>186006</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/nw.lib</Key><LastModified>2012-11-12T06:18:00.000Z</LastModified><ETag>&quot;435f534dd3009bfca36b799ae2168752&quot;</ETag><Size>301462</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.3/nw.pdb</Key><LastModified>2012-11-12T06:18:02.000Z</LastModified><ETag>&quot;947c9e5393dac4b4b83f4c36e504933d&quot;</ETag><Size>929792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/</Key><LastModified>2012-11-20T04:34:32.000Z</LastModified><ETag>&quot;d41d8cd98f00b204e9800998ecf8427e&quot;</ETag><Size>0</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/node-webkit-v0.3.4-linux-ia32.tar.gz</Key><LastModified>2012-11-20T06:12:03.000Z</LastModified><ETag>&quot;613c57af853255a25e77df24fd0211e4&quot;</ETag><Size>27174508</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/node-webkit-v0.3.4-linux-x64.tar.gz</Key><LastModified>2012-11-20T06:12:26.000Z</LastModified><ETag>&quot;5ebb760e89acb8e2839cc05759582973&quot;</ETag><Size>29787150</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/node-webkit-v0.3.4-osx-ia32.zip</Key><LastModified>2012-11-20T06:01:51.000Z</LastModified><ETag>&quot;8a8e2ea1c2928ce1ca493c82af6debd1&quot;</ETag><Size>24146886</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/node-webkit-v0.3.4-win-ia32.zip</Key><LastModified>2012-11-20T06:12:45.000Z</LastModified><ETag>&quot;3bb05ef986f83c4b2a6ce697f213b22f&quot;</ETag><Size>21502491</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/nw-headers-v0.3.4.tar.gz</Key><LastModified>2012-11-20T04:35:03.000Z</LastModified><ETag>&quot;c515e44c548b7309f144ba8100004ce5&quot;</ETag><Size>2331894</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/nw.exp</Key><LastModified>2012-11-20T06:03:21.000Z</LastModified><ETag>&quot;d998b77baf015bffa3f6a95a8f351e04&quot;</ETag><Size>188480</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/nw.lib</Key><LastModified>2012-11-20T06:03:23.000Z</LastModified><ETag>&quot;9fdc4496453a6e927ed76fa33e2c1c86&quot;</ETag><Size>305506</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.4/nw.pdb</Key><LastModified>2012-11-20T06:03:24.000Z</LastModified><ETag>&quot;87566c3f2fb7938ded466c643539f951&quot;</ETag><Size>929792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/node-webkit-v0.3.5-linux-ia32.tar.gz</Key><LastModified>2012-12-13T02:20:40.000Z</LastModified><ETag>&quot;c10fcd1f2500a6ddfeb7e417df117835&quot;</ETag><Size>27204011</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/node-webkit-v0.3.5-linux-x64.tar.gz</Key><LastModified>2012-12-13T02:21:45.000Z</LastModified><ETag>&quot;a1b40dd7d3f489f06fa7c4f0c19a79d7&quot;</ETag><Size>29817866</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/node-webkit-v0.3.5-osx-ia32.zip</Key><LastModified>2012-12-13T02:22:06.000Z</LastModified><ETag>&quot;280cd8c4ff1de3b9992a49396565f945&quot;</ETag><Size>24788847</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/node-webkit-v0.3.5-win-ia32.zip</Key><LastModified>2012-12-13T02:23:55.000Z</LastModified><ETag>&quot;b19f683d1a2d1223496321889e65470d&quot;</ETag><Size>21536015</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/nw-headers-v0.3.5.tar.gz</Key><LastModified>2012-12-03T08:32:29.000Z</LastModified><ETag>&quot;d0eb5af623ea43f0bfa9f1c5c890e789&quot;</ETag><Size>2332327</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/nw.exp</Key><LastModified>2012-12-13T02:24:47.000Z</LastModified><ETag>&quot;214f32f24db8f51a8d5ebd82021075f7&quot;</ETag><Size>188764</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/nw.lib</Key><LastModified>2012-12-13T02:24:49.000Z</LastModified><ETag>&quot;57f56ef863f30133947da90f1dc29e78&quot;</ETag><Size>305862</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.5/nw.pdb</Key><LastModified>2012-12-13T02:24:51.000Z</LastModified><ETag>&quot;15a97d8cac2091d735a72fdd81ccce8c&quot;</ETag><Size>929792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/node-webkit-v0.3.6-pre-linux-ia32.tar.gz</Key><LastModified>2012-12-04T06:04:31.000Z</LastModified><ETag>&quot;349c7615701d9a1200583407882657b2&quot;</ETag><Size>27204384</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/node-webkit-v0.3.6-pre-linux-x64.tar.gz</Key><LastModified>2012-12-04T06:06:12.000Z</LastModified><ETag>&quot;42e3679a25889906fc2a2f124da47064&quot;</ETag><Size>29818500</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/node-webkit-v0.3.6-pre-osx-ia32.zip</Key><LastModified>2012-12-04T06:08:08.000Z</LastModified><ETag>&quot;813a7b8c7442ff134359f0e064431f4d&quot;</ETag><Size>24789320</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/node-webkit-v0.3.6-pre-win-ia32.zip</Key><LastModified>2012-12-04T06:08:58.000Z</LastModified><ETag>&quot;fbdf2d42b3ba52cbe90ae11f1109f9a7&quot;</ETag><Size>21537443</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/nw-headers-v0.3.6-pre.tar.gz</Key><LastModified>2012-12-04T08:27:35.000Z</LastModified><ETag>&quot;d0eb5af623ea43f0bfa9f1c5c890e789&quot;</ETag><Size>2332327</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/nw.exp</Key><LastModified>2012-12-04T06:09:46.000Z</LastModified><ETag>&quot;168cf9be47b8e040e389dc8f36d21b99&quot;</ETag><Size>188764</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/nw.lib</Key><LastModified>2012-12-04T06:09:47.000Z</LastModified><ETag>&quot;6dfde9bc92b957f9a3713c2aa07ed114&quot;</ETag><Size>305862</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6-pre/nw.pdb</Key><LastModified>2012-12-04T06:11:43.000Z</LastModified><ETag>&quot;9335c1f4914a1747f84c5bf9803a8355&quot;</ETag><Size>929792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/node-webkit-v0.3.6-linux-ia32.tar.gz</Key><LastModified>2012-12-14T06:00:29.000Z</LastModified><ETag>&quot;971f12bb8fafb24c4c16d8341cd2ddfa&quot;</ETag><Size>27233868</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/node-webkit-v0.3.6-linux-x64.tar.gz</Key><LastModified>2012-12-14T06:01:00.000Z</LastModified><ETag>&quot;fcb2bafe66c042c93bb335c9aa6c7269&quot;</ETag><Size>29835063</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/node-webkit-v0.3.6-osx-ia32.zip</Key><LastModified>2012-12-14T04:44:50.000Z</LastModified><ETag>&quot;3fd51be1e27da3f6d972b5cb3e70dd7d&quot;</ETag><Size>24470776</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/node-webkit-v0.3.6-win-ia32.zip</Key><LastModified>2012-12-14T13:53:18.000Z</LastModified><ETag>&quot;5eab8c695b61be78782c3fb10de24095-2&quot;</ETag><Size>21550966</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/nw-headers-v0.3.6.tar.gz</Key><LastModified>2012-12-14T13:58:04.000Z</LastModified><ETag>&quot;315b3f0d6843b8480e395e3cf911dc05&quot;</ETag><Size>2332254</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/nw.exp</Key><LastModified>2012-12-14T04:50:34.000Z</LastModified><ETag>&quot;c917efe9a1119a0c89bf252bd208d31d&quot;</ETag><Size>188764</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/nw.lib</Key><LastModified>2012-12-14T04:50:36.000Z</LastModified><ETag>&quot;ebcc86e12dda3011acfc64faffe59b5a&quot;</ETag><Size>305862</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.6/nw.pdb</Key><LastModified>2012-12-14T04:50:38.000Z</LastModified><ETag>&quot;2e60eb1475c47b414951e9bde1858c55&quot;</ETag><Size>929792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/</Key><LastModified>2013-01-05T06:07:54.000Z</LastModified><ETag>&quot;d41d8cd98f00b204e9800998ecf8427e&quot;</ETag><Size>0</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/node-webkit-v0.3.7-linux-ia32.tar.gz</Key><LastModified>2013-01-06T04:39:52.000Z</LastModified><ETag>&quot;9dcc570602e04f51582141583410291f-2&quot;</ETag><Size>27263064</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/node-webkit-v0.3.7-linux-x64.tar.gz</Key><LastModified>2013-01-06T04:34:56.000Z</LastModified><ETag>&quot;de9b7deebbff6e4acdc7a06d938a3a0c-2&quot;</ETag><Size>29864029</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/node-webkit-v0.3.7-osx-ia32.zip</Key><LastModified>2013-01-06T03:08:32.000Z</LastModified><ETag>&quot;8996ed99d984012731b85bef7d2e54bb-2&quot;</ETag><Size>24472805</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/node-webkit-v0.3.7-win-ia32.zip</Key><LastModified>2013-01-06T05:41:32.000Z</LastModified><ETag>&quot;0fdce49375da1005d7c0a4d481192b6d-2&quot;</ETag><Size>21543541</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/nw-headers-v0.3.7.tar.gz</Key><LastModified>2013-01-06T02:53:26.000Z</LastModified><ETag>&quot;c66a40ade91ffd7a3d043b18495c849f&quot;</ETag><Size>2332306</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/nw.exp</Key><LastModified>2013-01-06T05:42:22.000Z</LastModified><ETag>&quot;a5f0efb180992b591285542c488e66bd&quot;</ETag><Size>188781</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/nw.lib</Key><LastModified>2013-01-06T05:42:24.000Z</LastModified><ETag>&quot;bc94b36d393e61adf382bcb77cc88b33&quot;</ETag><Size>305862</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.7/nw.pdb</Key><LastModified>2013-01-06T05:42:26.000Z</LastModified><ETag>&quot;543158dc552a5dd17473273c4cecff53&quot;</ETag><Size>929792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.3.8-pre/node-webkit-v0.3.8-pre-osx-ia32.zip</Key><LastModified>2013-01-09T06:15:05.000Z</LastModified><ETag>&quot;2d10a91d3d870fdcc6a0fadb90e6b974&quot;</ETag><Size>24476537</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0-pre/node-webkit-v0.3.8-pre-linux-ia32.tar.gz</Key><LastModified>2013-01-13T01:24:06.000Z</LastModified><ETag>&quot;89768c3fb34977c2daba0965e5ede65b&quot;</ETag><Size>31906625</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0-pre/node-webkit-v0.4.0-pre-win-ia32.zip</Key><LastModified>2013-01-15T07:22:26.000Z</LastModified><ETag>&quot;ea9292633c70d2daa42b49dc70ba95dd-2&quot;</ETag><Size>22035957</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/node-webkit-v0.4.0-linux-ia32.tar.gz</Key><LastModified>2013-01-17T06:07:49.000Z</LastModified><ETag>&quot;f8a721d050c877ee9a3c66b8c7daed28&quot;</ETag><Size>27903470</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/node-webkit-v0.4.0-linux-x64.tar.gz</Key><LastModified>2013-01-17T13:37:03.000Z</LastModified><ETag>&quot;6b846b1240fe9b16ecb5df7e1c7a7f87&quot;</ETag><Size>30545314</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/node-webkit-v0.4.0-osx-ia32.zip</Key><LastModified>2013-01-18T03:18:55.000Z</LastModified><ETag>&quot;dd513b5db4947d28532075d4809f8730&quot;</ETag><Size>25106138</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/node-webkit-v0.4.0-win-ia32.zip</Key><LastModified>2013-01-18T01:49:46.000Z</LastModified><ETag>&quot;2837f1bd174b99d3bb7ec1f69851cfdc-2&quot;</ETag><Size>22037168</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/nw-headers-v0.4.0.tar.gz</Key><LastModified>2013-01-17T03:06:12.000Z</LastModified><ETag>&quot;d01bb25c0453f868bfdc8599da2d8d46&quot;</ETag><Size>2595077</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/nw.exp</Key><LastModified>2013-01-18T01:50:56.000Z</LastModified><ETag>&quot;308a0f0f82165eeda5a1ff66f57f554e&quot;</ETag><Size>195177</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/nw.lib</Key><LastModified>2013-01-18T01:50:57.000Z</LastModified><ETag>&quot;a1beef5b602ed2a02f439a3ddf53a70a&quot;</ETag><Size>316354</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.0/nw.pdb</Key><LastModified>2013-01-18T01:50:59.000Z</LastModified><ETag>&quot;19b60971fecddf9e404121e051855d44&quot;</ETag><Size>937984</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/node-webkit-v0.4.1-linux-ia32.tar.gz</Key><LastModified>2013-01-31T04:58:55.000Z</LastModified><ETag>&quot;8de3d355fd517b28bd49695cfbdb262f&quot;</ETag><Size>27904750</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/node-webkit-v0.4.1-linux-x64.tar.gz</Key><LastModified>2013-01-31T04:29:02.000Z</LastModified><ETag>&quot;18ef0a7ef5719e8e24611462ec7fc9a2&quot;</ETag><Size>30546497</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/node-webkit-v0.4.1-osx-ia32.zip</Key><LastModified>2013-01-31T06:38:06.000Z</LastModified><ETag>&quot;2e1938ee5621a997d7c428f2e5083374&quot;</ETag><Size>25111685</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/node-webkit-v0.4.1-win-ia32.zip</Key><LastModified>2013-01-31T06:39:20.000Z</LastModified><ETag>&quot;fb6ae77c539a9f6842591d9ebed1c2ac-2&quot;</ETag><Size>21775290</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/nw-headers-v0.4.1.tar.gz</Key><LastModified>2013-01-31T03:21:59.000Z</LastModified><ETag>&quot;551befd9a57b92488292f818cbaa9ec7&quot;</ETag><Size>2595126</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/nw.exp</Key><LastModified>2013-01-31T06:39:45.000Z</LastModified><ETag>&quot;d2cdab4c50d48a31d8f07e77912e1559&quot;</ETag><Size>195177</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/nw.lib</Key><LastModified>2013-01-31T06:39:47.000Z</LastModified><ETag>&quot;627dc8144306380d09192ec89bb3a136&quot;</ETag><Size>316354</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.1/nw.pdb</Key><LastModified>2013-01-31T06:39:49.000Z</LastModified><ETag>&quot;c38c9e22adda866a1822af3c7911fdf2&quot;</ETag><Size>937984</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/node-webkit-v0.4.2-linux-ia32.tar.gz</Key><LastModified>2013-02-21T01:51:18.000Z</LastModified><ETag>&quot;267dcb18df7052c2a97a065c9f182b1a-2&quot;</ETag><Size>29941792</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/node-webkit-v0.4.2-linux-x64.tar.gz</Key><LastModified>2013-02-21T01:52:54.000Z</LastModified><ETag>&quot;4333cb9e12e680d2b96931756bdecfbb-3&quot;</ETag><Size>32751776</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/node-webkit-v0.4.2-osx-ia32.zip</Key><LastModified>2013-02-21T02:30:30.000Z</LastModified><ETag>&quot;946199334b04f6cad56e35d558c46546&quot;</ETag><Size>26276696</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/node-webkit-v0.4.2-win-ia32.zip</Key><LastModified>2013-02-21T01:54:10.000Z</LastModified><ETag>&quot;86553c8256fe22c93eb49a793c03d19d-2&quot;</ETag><Size>22943198</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/nw-headers-v0.4.2.tar.gz</Key><LastModified>2013-02-20T14:40:27.000Z</LastModified><ETag>&quot;476595c3660c6a427d2bd74bf796ef82&quot;</ETag><Size>2594914</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/nw.exp</Key><LastModified>2013-02-21T01:34:04.000Z</LastModified><ETag>&quot;4e503091e88bd9dd4050e4ea41109835&quot;</ETag><Size>195197</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/nw.lib</Key><LastModified>2013-02-21T01:35:20.000Z</LastModified><ETag>&quot;cc5434ffc8cbff761aab464a387a6976&quot;</ETag><Size>316388</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.2/nw.pdb</Key><LastModified>2013-02-20T09:15:35.000Z</LastModified><ETag>&quot;c38c9e22adda866a1822af3c7911fdf2&quot;</ETag><Size>937984</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.3-pre/node-webkit-v0.4.3-pre-win-ia32.zip</Key><LastModified>2013-04-10T02:41:41.000Z</LastModified><ETag>&quot;ad0525c59342b43bd22cf2fca3bedaa9-2&quot;</ETag><Size>23888968</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.3-pre/nw.exp</Key><LastModified>2013-04-10T02:46:01.000Z</LastModified><ETag>&quot;1bb341ce87b3e14e66cca1f277e2c004&quot;</ETag><Size>206545</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.3-pre/nw.lib</Key><LastModified>2013-04-10T02:46:06.000Z</LastModified><ETag>&quot;61e611ceb1dbee4ff1add763ebf81079&quot;</ETag><Size>334572</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.4.3-pre/nw.pdb</Key><LastModified>2013-04-10T02:46:12.000Z</LastModified><ETag>&quot;c2151793c0d13a24bb404cd55bb1b2e7&quot;</ETag><Size>937984</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0-ia32.msi</Key><LastModified>2013-04-19T06:12:22.000Z</LastModified><ETag>&quot;9957dc72688cbd3a18cf8898529bbd51-2&quot;</ETag><Size>22720512</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0-linux-ia32.tar.gz</Key><LastModified>2013-04-19T06:35:23.000Z</LastModified><ETag>&quot;eb66171c71703b2eba25f466ee6c24e4&quot;</ETag><Size>31715671</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0-linux-x64.tar.gz</Key><LastModified>2013-04-19T07:04:50.000Z</LastModified><ETag>&quot;2c25bc0a382f9d636467486c368e1516&quot;</ETag><Size>34174507</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0-osx-ia32.zip</Key><LastModified>2013-04-19T08:40:57.000Z</LastModified><ETag>&quot;bf4b69657004b97f404383d38deed8f4&quot;</ETag><Size>27427546</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0-win-ia32.zip</Key><LastModified>2013-04-19T06:16:04.000Z</LastModified><ETag>&quot;4289d3eedf8870c38c315d8aa1222301-2&quot;</ETag><Size>23892782</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc-linux-ia32.tar.gz</Key><LastModified>2013-04-10T05:43:40.000Z</LastModified><ETag>&quot;7f0054fbafbf473ed918f4587f5bbb0f&quot;</ETag><Size>37863768</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc-linux-x64.tar.gz</Key><LastModified>2013-04-10T07:44:35.000Z</LastModified><ETag>&quot;8ccf0c9aa68b5ce1abeb6cf75c656947&quot;</ETag><Size>38309777</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc-osx-ia32.zip</Key><LastModified>2013-04-10T05:48:42.000Z</LastModified><ETag>&quot;c6c492f94b766a0474425029517ac9ef-2&quot;</ETag><Size>27427456</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc-win-ia32.zip</Key><LastModified>2013-04-10T06:24:12.000Z</LastModified><ETag>&quot;a94db2aa0d3db68361b8ca0243241840&quot;</ETag><Size>23888706</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc2-linux-ia32.tar.gz</Key><LastModified>2013-04-16T02:45:07.000Z</LastModified><ETag>&quot;43b75fc7a5bfd227677ab35de4eb3415-3&quot;</ETag><Size>31717936</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc2-linux-x64.tar.gz</Key><LastModified>2013-04-16T02:46:28.000Z</LastModified><ETag>&quot;84c45a8ec57d9367aacf181954376cbf-3&quot;</ETag><Size>34398584</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc2-osx-ia32.zip</Key><LastModified>2013-04-15T04:25:30.000Z</LastModified><ETag>&quot;69776b098fd36d1d12cb5143b5433905&quot;</ETag><Size>27425904</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/node-webkit-v0.5.0rc2-win-ia32.zip</Key><LastModified>2013-04-16T03:19:00.000Z</LastModified><ETag>&quot;4a6ae00d834ff15b858f934f8be6e5ed-2&quot;</ETag><Size>23892773</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/nw-headers-v0.5.0.tar.gz</Key><LastModified>2013-04-09T11:51:54.000Z</LastModified><ETag>&quot;953bd49311340afc18de274f404ed25f&quot;</ETag><Size>2615168</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/nw.exp</Key><LastModified>2013-04-19T06:19:34.000Z</LastModified><ETag>&quot;37acd1d1b6c68c4a03a66f281e7a62bd&quot;</ETag><Size>206545</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0/nw.lib</Key><LastModified>2013-04-19T06:19:38.000Z</LastModified><ETag>&quot;86d111891bcfccf1b591914266241dd2&quot;</ETag><Size>334572</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0rc/nw.exp</Key><LastModified>2013-04-16T03:16:30.000Z</LastModified><ETag>&quot;c1b25f72749c48f398bfd5946756cc2f&quot;</ETag><Size>206545</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0rc/nw.lib</Key><LastModified>2013-04-16T03:16:39.000Z</LastModified><ETag>&quot;896ada75c151e1b9568e6882b6118652&quot;</ETag><Size>334572</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.0rc/nw.pdb</Key><LastModified>2013-04-16T03:16:50.000Z</LastModified><ETag>&quot;c2151793c0d13a24bb404cd55bb1b2e7&quot;</ETag><Size>937984</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.1/node-webkit-v0.5.1-linux-ia32.tar.gz</Key><LastModified>2013-04-27T03:15:35.000Z</LastModified><ETag>&quot;d228b891d6398fb42918df58865bf8e5&quot;</ETag><Size>31636072</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.1/node-webkit-v0.5.1-linux-x64.tar.gz</Key><LastModified>2013-04-27T04:25:25.000Z</LastModified><ETag>&quot;de7b8dfce7138abc8f646f4276873a9f&quot;</ETag><Size>34286245</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.1/node-webkit-v0.5.1-osx-ia32.zip</Key><LastModified>2013-04-27T17:09:18.000Z</LastModified><ETag>&quot;3d590a80aaf2a1f58ab55a0990442d55&quot;</ETag><Size>27545314</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.1/node-webkit-v0.5.1-win-ia32.zip</Key><LastModified>2013-04-27T04:33:25.000Z</LastModified><ETag>&quot;75458be41eacacd0c9bcd05d618881ce-2&quot;</ETag><Size>23973968</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.1/nw-headers-v0.5.1.tar.gz</Key><LastModified>2013-04-25T06:58:33.000Z</LastModified><ETag>&quot;574681921e665822071439848a5da191&quot;</ETag><Size>2657926</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.1/nw.exp</Key><LastModified>2013-04-27T04:34:08.000Z</LastModified><ETag>&quot;6202955a93c9552133dffa01882a58c4&quot;</ETag><Size>207333</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.5.1/nw.lib</Key><LastModified>2013-04-27T04:34:14.000Z</LastModified><ETag>&quot;8c6440dfbec4b7b5a2cf03afd55dc2ef&quot;</ETag><Size>335976</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/chromedriver2-nw-v0.6.0-linux-ia32.tar.gz</Key><LastModified>2013-06-17T05:38:06.000Z</LastModified><ETag>&quot;7d8ef9f6608c3186ac18e483f14caecc&quot;</ETag><Size>10400314</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/chromedriver2-nw-v0.6.0-linux-x64.tar.gz</Key><LastModified>2013-06-17T04:23:20.000Z</LastModified><ETag>&quot;2e61049b26d50338bee6fcb874d0c493&quot;</ETag><Size>10676088</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/chromedriver2-nw-v0.6.0-osx-ia32.zip</Key><LastModified>2013-06-17T07:17:32.000Z</LastModified><ETag>&quot;278875693153c10fd60d53c1337a61d1&quot;</ETag><Size>8905425</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/chromedriver2-nw-v0.6.0-win-ia32.zip</Key><LastModified>2013-06-17T06:28:24.000Z</LastModified><ETag>&quot;1676e252b5c38a46726dec8f0d71c746&quot;</ETag><Size>4265123</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-linux-ia32.tar.gz</Key><LastModified>2013-06-17T05:36:43.000Z</LastModified><ETag>&quot;6b6599dc943693e4fa720e56b0046090&quot;</ETag><Size>31640576</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-linux-x64.tar.gz</Key><LastModified>2013-06-17T04:21:40.000Z</LastModified><ETag>&quot;a89b47d74b1be6906648e907e75df35f&quot;</ETag><Size>34605229</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-osx-ia32.zip</Key><LastModified>2013-06-17T02:39:37.000Z</LastModified><ETag>&quot;e9dd2be6ed9797fd47d21f2b2d4cf6fb&quot;</ETag><Size>27343133</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-rc1-linux-ia32.tar.gz</Key><LastModified>2013-06-10T12:37:50.000Z</LastModified><ETag>&quot;b5ff453f34f1accbf52e6a8aab3c821e&quot;</ETag><Size>31613845</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-rc1-linux-x64.tar.gz</Key><LastModified>2013-06-10T10:20:18.000Z</LastModified><ETag>&quot;4d70c4bd3f42aa88cfb88f425e30e2f7&quot;</ETag><Size>34577384</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-rc1-osx-ia32.zip</Key><LastModified>2013-06-11T09:15:37.000Z</LastModified><ETag>&quot;c02a56bcd18f9a3ca434b65aa39791cb-2&quot;</ETag><Size>27311153</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-rc1-win-ia32.zip</Key><LastModified>2013-06-11T01:07:36.000Z</LastModified><ETag>&quot;b8f233d939456e9e531dbca71cf30d6f-2&quot;</ETag><Size>24451103</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/node-webkit-v0.6.0-win-ia32.zip</Key><LastModified>2013-06-17T06:25:09.000Z</LastModified><ETag>&quot;8b347c91d271eb0440b1d0fad9f5c981-2&quot;</ETag><Size>24447613</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/nw-headers-v0.6.0.tar.gz</Key><LastModified>2013-06-10T23:03:44.000Z</LastModified><ETag>&quot;daaa475d3f3582e54170fd92f8fa6bab&quot;</ETag><Size>2689500</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/nw.exp</Key><LastModified>2013-06-17T06:28:49.000Z</LastModified><ETag>&quot;efb26d0c8ec6518bc2a09eb8cc152167&quot;</ETag><Size>235141</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.0/nw.lib</Key><LastModified>2013-06-17T06:28:42.000Z</LastModified><ETag>&quot;ff0143c7b93fbbff8ed3007eae636893&quot;</ETag><Size>381488</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.1/node-webkit-v0.6.1-linux-ia32.tar.gz</Key><LastModified>2013-06-23T13:56:01.000Z</LastModified><ETag>&quot;54fbb2b560d26a453609623c2fb1d446&quot;</ETag><Size>31641478</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.1/node-webkit-v0.6.1-linux-x64.tar.gz</Key><LastModified>2013-06-23T14:37:47.000Z</LastModified><ETag>&quot;752c5eda5a93c1fa66d0affb6a6f4c01&quot;</ETag><Size>34605637</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.1/node-webkit-v0.6.1-osx-ia32.zip</Key><LastModified>2013-06-24T02:30:27.000Z</LastModified><ETag>&quot;a61e72ea929e6b63da89af17758c6f29&quot;</ETag><Size>27345815</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.1/node-webkit-v0.6.1-win-ia32.zip</Key><LastModified>2013-06-24T02:37:29.000Z</LastModified><ETag>&quot;0b87545bfd25615ae50b4a3d348e7e2a-2&quot;</ETag><Size>24448942</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.1/nw-headers-v0.6.1.tar.gz</Key><LastModified>2013-06-27T00:53:31.000Z</LastModified><ETag>&quot;ce0742c686f1bd020337f70516fb48d4&quot;</ETag><Size>2204120</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.1/nw.exp</Key><LastModified>2013-06-24T02:38:40.000Z</LastModified><ETag>&quot;a80af85ddf1646683e6d9e917274957b&quot;</ETag><Size>235141</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.1/nw.lib</Key><LastModified>2013-06-24T02:38:33.000Z</LastModified><ETag>&quot;eb87076b73423600d55fb22e66d96e54&quot;</ETag><Size>381488</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/node-webkit-v0.6.2-linux-ia32.tar.gz</Key><LastModified>2013-07-08T02:04:52.000Z</LastModified><ETag>&quot;4fd9fb1a2f0b0589fe97c04fbd0012ce&quot;</ETag><Size>31644911</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/node-webkit-v0.6.2-linux-x64.tar.gz</Key><LastModified>2013-07-08T02:25:22.000Z</LastModified><ETag>&quot;0569181dd39d34b3368386815859d668&quot;</ETag><Size>34610141</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/node-webkit-v0.6.2-osx-ia32.zip</Key><LastModified>2013-07-08T05:55:49.000Z</LastModified><ETag>&quot;f1d00bdb494a4b025ba10d40ab195b80&quot;</ETag><Size>27348757</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/node-webkit-v0.6.2-pre-osx-ia32.zip</Key><LastModified>2013-07-05T01:24:23.000Z</LastModified><ETag>&quot;7b459c11933c58a1401399c97e94654d&quot;</ETag><Size>26086916</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/node-webkit-v0.6.2-win-ia32.zip</Key><LastModified>2013-07-08T01:28:07.000Z</LastModified><ETag>&quot;49e42f52b0a0befd3c89ddce35ee9438-2&quot;</ETag><Size>24449788</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/nw-headers-v0.6.2.tar.gz</Key><LastModified>2013-07-08T01:27:40.000Z</LastModified><ETag>&quot;b440af5b83be77158783e51162060ac8&quot;</ETag><Size>2204123</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/nw.exp</Key><LastModified>2013-07-08T01:28:43.000Z</LastModified><ETag>&quot;b163eebda4276cace5a853e38df1fb57&quot;</ETag><Size>235141</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.2/nw.lib</Key><LastModified>2013-07-08T01:28:50.000Z</LastModified><ETag>&quot;a7b99d6c6dc2def8ad33d3f68b42bc70&quot;</ETag><Size>381488</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/node-webkit-v0.6.3-linux-ia32.tar.gz</Key><LastModified>2013-07-21T13:31:39.000Z</LastModified><ETag>&quot;67428c6b53692c660011d95c8efc553b&quot;</ETag><Size>31645409</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/node-webkit-v0.6.3-linux-x64.tar.gz</Key><LastModified>2013-07-21T16:02:20.000Z</LastModified><ETag>&quot;a021c0dcc68070b91386a0b0812cf0d5&quot;</ETag><Size>34611495</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/node-webkit-v0.6.3-osx-ia32.zip</Key><LastModified>2013-07-22T04:25:22.000Z</LastModified><ETag>&quot;554342ddd9598b3c95b7e60c3710c078&quot;</ETag><Size>27351588</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/node-webkit-v0.6.3-pre-linux-ia32.tar.gz</Key><LastModified>2013-07-10T02:47:12.000Z</LastModified><ETag>&quot;0fc18bbbd97465fed52f01b96045a5ff&quot;</ETag><Size>31644926</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/node-webkit-v0.6.3-pre-linux-x64.tar.gz</Key><LastModified>2013-07-10T02:32:47.000Z</LastModified><ETag>&quot;23b86de25bc0fc4b1254b34315aa10fb&quot;</ETag><Size>34609317</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/node-webkit-v0.6.3-win-ia32.zip</Key><LastModified>2013-07-23T00:56:02.000Z</LastModified><ETag>&quot;49fb242bb793a70c9c8fa5450992e9f7-2&quot;</ETag><Size>24456603</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/nw-headers-v0.6.3.tar.gz</Key><LastModified>2013-07-21T14:13:55.000Z</LastModified><ETag>&quot;973bebb481ce27c8faca01cdaaee34b8&quot;</ETag><Size>2205593</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/nw.exp</Key><LastModified>2013-07-23T00:55:49.000Z</LastModified><ETag>&quot;a252282830cf9b74caa10b451e5614b8&quot;</ETag><Size>235141</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.6.3/nw.lib</Key><LastModified>2013-07-23T00:55:55.000Z</LastModified><ETag>&quot;6623e91ae3e4a3eeb667f3aacb85e10b&quot;</ETag><Size>381488</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/chromedriver2-nw-v0.7-linux-ia32.tar.gz</Key><LastModified>2013-08-12T00:25:07.000Z</LastModified><ETag>&quot;c76444c9b2b273d5244890ed71f78b2b&quot;</ETag><Size>10632230</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/chromedriver2-nw-v0.7-linux-x64.tar.gz</Key><LastModified>2013-08-12T00:25:43.000Z</LastModified><ETag>&quot;1d8f778aa0e53e02c10f4a7c8f0a6052&quot;</ETag><Size>10900319</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/chromedriver2-nw-v0.7-osx-ia32.zip</Key><LastModified>2013-08-12T01:09:42.000Z</LastModified><ETag>&quot;d3f6246d939e3f813f0a1ccba7c382a9&quot;</ETag><Size>9084332</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/chromedriver2-nw-v0.7-win-ia32.zip</Key><LastModified>2013-08-12T00:50:48.000Z</LastModified><ETag>&quot;f5e8b25ef5b8ee81f0d1ceb73b1efa06&quot;</ETag><Size>4425010</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/node-webkit-v0.7.0-linux-ia32.tar.gz</Key><LastModified>2013-08-12T00:21:21.000Z</LastModified><ETag>&quot;263e8edda8a342e77c0818baf4d24b87&quot;</ETag><Size>32406561</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/node-webkit-v0.7.0-linux-x64.tar.gz</Key><LastModified>2013-08-11T22:40:20.000Z</LastModified><ETag>&quot;07c02fd24c89a4e6d44142c19ec2879b&quot;</ETag><Size>35449315</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/node-webkit-v0.7.0-osx-ia32.zip</Key><LastModified>2013-08-12T07:19:38.000Z</LastModified><ETag>&quot;0dff5244b8176ec51fe1a74a64a4478e&quot;</ETag><Size>28074525</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/node-webkit-v0.7.0-win-ia32.zip</Key><LastModified>2013-08-12T00:49:17.000Z</LastModified><ETag>&quot;7f008576d85228fdf00b0845fff4c8e2-2&quot;</ETag><Size>25036289</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/nw-headers-v0.7.0.tar.gz</Key><LastModified>2013-08-19T02:44:41.000Z</LastModified><ETag>&quot;f89e294dfbac905191e38c18f9724dac&quot;</ETag><Size>2225603</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/nw.exp</Key><LastModified>2013-08-12T00:50:33.000Z</LastModified><ETag>&quot;53b856b586a6342eba789b65c9e46ab4&quot;</ETag><Size>247037</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.0/nw.lib</Key><LastModified>2013-08-12T00:50:27.000Z</LastModified><ETag>&quot;a20bc515929f469f305ad70ad25284a8&quot;</ETag><Size>401116</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.1/node-webkit-v0.7.1-linux-ia32.tar.gz</Key><LastModified>2013-08-18T12:42:58.000Z</LastModified><ETag>&quot;be5a77bbb8b5313f417dad699bb36271&quot;</ETag><Size>32407366</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.1/node-webkit-v0.7.1-linux-x64.tar.gz</Key><LastModified>2013-08-18T12:17:44.000Z</LastModified><ETag>&quot;1e818cc3603b2fdd82b09a2528c687e0&quot;</ETag><Size>35449780</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.1/node-webkit-v0.7.1-osx-ia32.zip</Key><LastModified>2013-08-19T02:00:56.000Z</LastModified><ETag>&quot;c9d30a3ab0c9aedc5c36a3463107a0f0&quot;</ETag><Size>28013612</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.1/node-webkit-v0.7.1-win-ia32.zip</Key><LastModified>2013-08-19T02:20:12.000Z</LastModified><ETag>&quot;b95d8e7a58f2142582fe92d7cf0a37ef&quot;</ETag><Size>25037910</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.1/nw-headers-v0.7.1.tar.gz</Key><LastModified>2013-08-19T02:45:23.000Z</LastModified><ETag>&quot;f89e294dfbac905191e38c18f9724dac&quot;</ETag><Size>2225603</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.1/nw.exp</Key><LastModified>2013-08-19T02:20:30.000Z</LastModified><ETag>&quot;4d7ee42570e71039455ae9adcbac1e69&quot;</ETag><Size>247037</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.1/nw.lib</Key><LastModified>2013-08-19T02:20:28.000Z</LastModified><ETag>&quot;126c8217bf5939ba8dc39681e9925520&quot;</ETag><Size>401116</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-linux-ia32-xdk.tar.gz</Key><LastModified>2013-08-29T10:36:06.000Z</LastModified><ETag>&quot;956feac74914ebe32e97f8ecc3db3e07&quot;</ETag><Size>32409515</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-linux-ia32.tar.gz</Key><LastModified>2013-08-26T03:16:17.000Z</LastModified><ETag>&quot;3d5dca3b038b3fa1b4ec6a78b0aa6801&quot;</ETag><Size>32409933</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-linux-x64-xdk.tar.gz</Key><LastModified>2013-08-29T10:48:44.000Z</LastModified><ETag>&quot;384105b5b0f756f725205e0b12698121&quot;</ETag><Size>35449995</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-linux-x64.tar.gz</Key><LastModified>2013-08-26T02:51:33.000Z</LastModified><ETag>&quot;64360aa40c42f917d30f50bfc0156e80&quot;</ETag><Size>35450028</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-osx-ia32-xdk.zip</Key><LastModified>2013-08-29T11:02:06.000Z</LastModified><ETag>&quot;32771da5cc5462d18b8ea6c212047aad&quot;</ETag><Size>28014962</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-osx-ia32.zip</Key><LastModified>2013-08-26T02:54:06.000Z</LastModified><ETag>&quot;98d41e949f33a3377d8b755e71fd8b3e&quot;</ETag><Size>28014377</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-pre-linux-ia32.tar.gz</Key><LastModified>2013-08-22T04:36:42.000Z</LastModified><ETag>&quot;2334c214c2ae8685e1a0e6f1b6ab09e2&quot;</ETag><Size>32410007</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-pre-linux-x64.tar.gz</Key><LastModified>2013-08-22T02:26:07.000Z</LastModified><ETag>&quot;bdaff82a8880facaf176c712e425a41e&quot;</ETag><Size>35449279</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-pre-osx-ia32.zip</Key><LastModified>2013-08-22T04:42:19.000Z</LastModified><ETag>&quot;613902a7ffbbff3dcb5074860320fe9d&quot;</ETag><Size>28021396</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-pre-win-ia32.zip</Key><LastModified>2013-08-22T01:12:55.000Z</LastModified><ETag>&quot;83dc86c926186da7070623badc99378e-2&quot;</ETag><Size>25035605</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-win-ia32-xdk.zip</Key><LastModified>2013-08-29T10:40:04.000Z</LastModified><ETag>&quot;4da67939f699f60fdda180ee2d357f8f-2&quot;</ETag><Size>25038596</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/node-webkit-v0.7.2-win-ia32.zip</Key><LastModified>2013-08-26T03:21:50.000Z</LastModified><ETag>&quot;a7b2870f5cb9bf900d963a0cf9f03930-2&quot;</ETag><Size>25038320</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/nw-headers-v0.7.2.tar.gz</Key><LastModified>2013-08-26T01:13:23.000Z</LastModified><ETag>&quot;f89e294dfbac905191e38c18f9724dac&quot;</ETag><Size>2225603</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/nw.exp</Key><LastModified>2013-08-26T03:21:39.000Z</LastModified><ETag>&quot;382b8256ac734cd33892fe9c76cffa82&quot;</ETag><Size>247037</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.2/nw.lib</Key><LastModified>2013-08-26T03:21:44.000Z</LastModified><ETag>&quot;1abc32c5f4351ece616c8818f0585840&quot;</ETag><Size>401116</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.3/node-webkit-v0.7.3-linux-ia32.tar.gz</Key><LastModified>2013-09-11T05:13:46.000Z</LastModified><ETag>&quot;808f93d92f26e3822e269aac0623b73f&quot;</ETag><Size>32608225</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.3/node-webkit-v0.7.3-linux-x64.tar.gz</Key><LastModified>2013-09-11T05:14:27.000Z</LastModified><ETag>&quot;8a7ac824b2f5068324473e7afd736857&quot;</ETag><Size>35646302</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.3/node-webkit-v0.7.3-osx-ia32.zip</Key><LastModified>2013-09-11T02:15:17.000Z</LastModified><ETag>&quot;a1b11774b027aa0ad3462ee1b459daa0&quot;</ETag><Size>28210230</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.3/node-webkit-v0.7.3-win-ia32.zip</Key><LastModified>2013-09-11T03:21:47.000Z</LastModified><ETag>&quot;49c5a9284f37a9421a0f34fe0756876d-2&quot;</ETag><Size>25243564</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.3/nw-headers-v0.7.3.tar.gz</Key><LastModified>2013-09-10T05:12:40.000Z</LastModified><ETag>&quot;f89e294dfbac905191e38c18f9724dac&quot;</ETag><Size>2225603</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.3/nw.exp</Key><LastModified>2013-09-11T03:21:31.000Z</LastModified><ETag>&quot;d5a88d7a8a60c8fb590ccd84ae1c9ee9&quot;</ETag><Size>247037</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.3/nw.lib</Key><LastModified>2013-09-11T03:21:37.000Z</LastModified><ETag>&quot;5d66db50037f45b1cc061adbe997964d&quot;</ETag><Size>401116</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.4/node-webkit-v0.7.4-linux-ia32.tar.gz</Key><LastModified>2013-09-18T01:33:00.000Z</LastModified><ETag>&quot;ac85af244c1102f66d3379f96af7e210&quot;</ETag><Size>32608168</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.4/node-webkit-v0.7.4-linux-x64.tar.gz</Key><LastModified>2013-09-18T01:34:23.000Z</LastModified><ETag>&quot;050792b8e23b629905d0a0de5780ae07&quot;</ETag><Size>35649840</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.4/node-webkit-v0.7.4-osx-ia32.zip</Key><LastModified>2013-09-17T07:45:20.000Z</LastModified><ETag>&quot;458687522ca98a1b1f0123d94e5d34ec&quot;</ETag><Size>28984391</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.4/node-webkit-v0.7.4-win-ia32.zip</Key><LastModified>2013-09-18T00:56:01.000Z</LastModified><ETag>&quot;e300d5a748d808adfeaefeb299ca9693-2&quot;</ETag><Size>25249396</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.4/nw-headers-v0.7.4.tar.gz</Key><LastModified>2013-09-17T07:48:32.000Z</LastModified><ETag>&quot;f89e294dfbac905191e38c18f9724dac&quot;</ETag><Size>2225603</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.4/nw.exp</Key><LastModified>2013-09-18T00:58:04.000Z</LastModified><ETag>&quot;1f0e21a09c4fcf6680da912b6dbc215b&quot;</ETag><Size>247037</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.4/nw.lib</Key><LastModified>2013-09-18T00:57:56.000Z</LastModified><ETag>&quot;41d4fa73e0e50fc416ad167eb441cd6c&quot;</ETag><Size>401116</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.5/node-webkit-v0.7.5-linux-ia32.tar.gz</Key><LastModified>2013-09-18T12:07:33.000Z</LastModified><ETag>&quot;5af9c0783b4988a7a39db973c371bb3b&quot;</ETag><Size>32608567</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.5/node-webkit-v0.7.5-linux-x64.tar.gz</Key><LastModified>2013-09-18T12:04:41.000Z</LastModified><ETag>&quot;39a5a8ac8db0aa3aabea6d7722364b26&quot;</ETag><Size>35650592</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.5/node-webkit-v0.7.5-osx-ia32.zip</Key><LastModified>2013-09-18T11:47:19.000Z</LastModified><ETag>&quot;7feafeff113e90b2111d2e11409510c1&quot;</ETag><Size>28984343</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.5/node-webkit-v0.7.5-win-ia32.zip</Key><LastModified>2013-09-18T11:31:48.000Z</LastModified><ETag>&quot;4e0ebb449ba11e282a722737973eeaec-2&quot;</ETag><Size>25249090</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.5/nw-headers-v0.7.5.tar.gz</Key><LastModified>2013-09-18T15:03:17.000Z</LastModified><ETag>&quot;f89e294dfbac905191e38c18f9724dac&quot;</ETag><Size>2225603</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.5/nw.exp</Key><LastModified>2013-09-18T11:37:37.000Z</LastModified><ETag>&quot;6e370b7f47691a7000a01652f5c58ecf&quot;</ETag><Size>247037</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.7.5/nw.lib</Key><LastModified>2013-09-18T11:37:52.000Z</LastModified><ETag>&quot;3bdaa312249c16139b49e2c9370eda57&quot;</ETag><Size>401116</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-pre/node-webkit-v0.8.0-pre-osx-ia32.zip</Key><LastModified>2013-10-10T07:43:43.000Z</LastModified><ETag>&quot;276948553530469cd9bf02baab59e6ed&quot;</ETag><Size>35704814</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-pre/node-webkit-v0.8.0-pre-win-ia32.zip</Key><LastModified>2013-10-11T15:34:39.000Z</LastModified><ETag>&quot;9e89450e0ed7b955280e428a5c3037cf-2&quot;</ETag><Size>25690851</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-pre/nw-headers-v0.8.0-pre.tar.gz</Key><LastModified>2013-10-10T08:00:43.000Z</LastModified><ETag>&quot;7e17916d4aecf37485cb2a49abfba5a7&quot;</ETag><Size>2244668</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-pre/nw.exe.pdb</Key><LastModified>2013-10-11T15:38:53.000Z</LastModified><ETag>&quot;6e89d7c43f8c1c195c02946a147b78a4-31&quot;</ETag><Size>480603136</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-pre/nw.exp</Key><LastModified>2013-10-11T15:38:30.000Z</LastModified><ETag>&quot;2fed0c1e132160e21af0f8d17ccb57d9&quot;</ETag><Size>248409</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-pre/nw.lib</Key><LastModified>2013-10-11T15:38:37.000Z</LastModified><ETag>&quot;89704013918c998e3a8ff6cda88e95b0&quot;</ETag><Size>403114</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/chromedriver2-nw-v0.8.0-rc1-linux-ia32.tar.gz</Key><LastModified>2013-10-21T04:47:16.000Z</LastModified><ETag>&quot;beb00af254302cf472cb4eefcf71383e&quot;</ETag><Size>9320445</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/chromedriver2-nw-v0.8.0-rc1-linux-x64.tar.gz</Key><LastModified>2013-10-21T02:40:53.000Z</LastModified><ETag>&quot;797354b16323f9fb95a1ea49d6b77971&quot;</ETag><Size>9913574</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/chromedriver2-nw-v0.8.0-rc1-osx-ia32.zip</Key><LastModified>2013-10-21T01:04:15.000Z</LastModified><ETag>&quot;e5b004357ad68d6535a8493f9c078e3b&quot;</ETag><Size>9176313</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/node-webkit-osx-dsym-v0.8.0-rc1.tar.gz</Key><LastModified>2013-10-21T05:18:46.000Z</LastModified><ETag>&quot;40b237fabf681ecb0e6c9a4e1904ef20&quot;</ETag><Size>32130653</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/node-webkit-v0.8.0-rc1-linux-ia32.tar.gz</Key><LastModified>2013-10-21T04:47:42.000Z</LastModified><ETag>&quot;8afaec53db125e338e52e0c76a3b14c1&quot;</ETag><Size>37556733</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/node-webkit-v0.8.0-rc1-linux-x64.tar.gz</Key><LastModified>2013-10-21T02:20:12.000Z</LastModified><ETag>&quot;6457f2262c3a01d0832c16e034d1f5f9&quot;</ETag><Size>41199178</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/node-webkit-v0.8.0-rc1-osx-ia32.zip</Key><LastModified>2013-10-21T01:03:03.000Z</LastModified><ETag>&quot;c075fe1791ae16a9d1fa0fb8d3452ed5&quot;</ETag><Size>35835927</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/node-webkit-v0.8.0-rc1-win-ia32.zip</Key><LastModified>2013-10-21T08:35:35.000Z</LastModified><ETag>&quot;dfa0285ddfe7eeec5aa2618b15c3cbfe-2&quot;</ETag><Size>25788884</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/nw-headers-v0.8.0-rc1.tar.gz</Key><LastModified>2013-10-21T01:07:58.000Z</LastModified><ETag>&quot;7e17916d4aecf37485cb2a49abfba5a7&quot;</ETag><Size>2244668</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/nw.breakpad.ia32.gz</Key><LastModified>2013-10-21T04:48:51.000Z</LastModified><ETag>&quot;51d1938c5c57909e26604afbbd46142b&quot;</ETag><Size>33283368</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/nw.breakpad.x64.gz</Key><LastModified>2013-10-21T04:49:10.000Z</LastModified><ETag>&quot;14e73c88db5c16ba804371398f35537f&quot;</ETag><Size>32033117</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/nw.exe.pdb.zip</Key><LastModified>2013-10-21T04:12:02.000Z</LastModified><ETag>&quot;cf38f0e69b3c34b1034d7550e2a8ac99-8&quot;</ETag><Size>112568719</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/nw.exp</Key><LastModified>2013-10-21T04:16:24.000Z</LastModified><ETag>&quot;b5ac01a215b18d0ca530e7ba445d2af6&quot;</ETag><Size>248409</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0-rc1/nw.lib</Key><LastModified>2013-10-21T04:15:48.000Z</LastModified><ETag>&quot;7c53f1f6551883c2010e55a89a5bab73&quot;</ETag><Size>403114</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/chromedriver2-nw-v0.8.0-linux-ia32.tar.gz</Key><LastModified>2013-10-29T06:02:55.000Z</LastModified><ETag>&quot;a3fec138dc776b25ff2681bf562e9080&quot;</ETag><Size>9261326</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/chromedriver2-nw-v0.8.0-linux-x64.tar.gz</Key><LastModified>2013-10-29T05:42:24.000Z</LastModified><ETag>&quot;e4039d898ac4534af13fdfc5500a3e77&quot;</ETag><Size>9913284</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/chromedriver2-nw-v0.8.0-osx-ia32.zip</Key><LastModified>2013-10-30T05:23:32.000Z</LastModified><ETag>&quot;b229eaf8a1eb7afe769b6bbd58329970&quot;</ETag><Size>9176313</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/chromedriver2-nw-v0.8.0-win-ia32.zip</Key><LastModified>2013-10-30T00:43:18.000Z</LastModified><ETag>&quot;d677ac401a9dd746e2b5811a4de99638&quot;</ETag><Size>4405133</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/node-webkit-osx-dsym-v0.8.0.tar.gz</Key><LastModified>2013-10-30T05:26:02.000Z</LastModified><ETag>&quot;4f3a0052be63cd800753186dbef013e0&quot;</ETag><Size>32133714</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/node-webkit-v0.8.0-linux-ia32.tar.gz</Key><LastModified>2013-10-29T06:02:24.000Z</LastModified><ETag>&quot;52e3721291923f8726faebebf0e51fd9&quot;</ETag><Size>36489850</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/node-webkit-v0.8.0-linux-x64.tar.gz</Key><LastModified>2013-10-29T05:40:47.000Z</LastModified><ETag>&quot;4b2c471e666e68e975b45baea90ed99e&quot;</ETag><Size>40326142</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/node-webkit-v0.8.0-osx-ia32.zip</Key><LastModified>2013-10-30T05:21:10.000Z</LastModified><ETag>&quot;2b90b8ebd50de228ea1b9207de191fbf&quot;</ETag><Size>35837580</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/node-webkit-v0.8.0-win-ia32.zip</Key><LastModified>2013-10-30T00:38:52.000Z</LastModified><ETag>&quot;81c08477f32772db3c4ebf71fb7ddb6d-2&quot;</ETag><Size>25789557</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/nw-headers-v0.8.0.tar.gz</Key><LastModified>2013-10-29T08:40:48.000Z</LastModified><ETag>&quot;54cece266e0ebed2a9d24e14c7a80b44&quot;</ETag><Size>2244679</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/nw.breakpad.ia32.gz</Key><LastModified>2013-10-29T06:01:47.000Z</LastModified><ETag>&quot;cb0e56c12480adb0d5a047cfef348abd&quot;</ETag><Size>34133106</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/nw.breakpad.x64.gz</Key><LastModified>2013-10-29T05:38:11.000Z</LastModified><ETag>&quot;06341be5e3f2d1e2b8b3fe092aa2a064&quot;</ETag><Size>32481093</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/nw.exe.pdb.zip</Key><LastModified>2013-10-30T00:39:24.000Z</LastModified><ETag>&quot;5bc1553afb78236d7b09cf2160ebe616-8&quot;</ETag><Size>111663686</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/nw.exp</Key><LastModified>2013-10-30T00:41:51.000Z</LastModified><ETag>&quot;a4190b0a98e040396ebefd7e475f7f22&quot;</ETag><Size>248409</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.0/nw.lib</Key><LastModified>2013-10-30T00:42:01.000Z</LastModified><ETag>&quot;68e7d7217b1d907cf3392f2bf881c5df&quot;</ETag><Size>403114</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-osx-dsym-v0.8.1.tar.gz</Key><LastModified>2013-11-22T07:51:57.000Z</LastModified><ETag>&quot;b383e971fca33a593e8416c8f019354d&quot;</ETag><Size>32150467</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-linux-ia32.tar.gz</Key><LastModified>2013-11-22T07:41:43.000Z</LastModified><ETag>&quot;a136c1e375f4127674be9314769182de&quot;</ETag><Size>36500143</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-linux-x64.tar.gz</Key><LastModified>2013-11-22T05:04:50.000Z</LastModified><ETag>&quot;acb70c9417a2584bda5e6a0e31d7f456-3&quot;</ETag><Size>40098863</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-osx-ia32.zip</Key><LastModified>2013-11-22T05:42:24.000Z</LastModified><ETag>&quot;bd0d51ca0169e70af6a60dc1f7e8fabf&quot;</ETag><Size>35818767</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-rc1-linux-ia32.tar.gz</Key><LastModified>2013-11-06T05:13:30.000Z</LastModified><ETag>&quot;8231308b2cc5fda4a747efd7152d0a25&quot;</ETag><Size>36489639</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-rc1-linux-x64.tar.gz</Key><LastModified>2013-11-06T05:50:50.000Z</LastModified><ETag>&quot;9b12fbee3d6791b3eed09b310ec5465d&quot;</ETag><Size>41197729</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-rc1-osx-ia32.zip</Key><LastModified>2013-11-06T03:02:57.000Z</LastModified><ETag>&quot;86a38538e3a49a81cd89b54b9e909a62-3&quot;</ETag><Size>35837061</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-rc1-win-ia32.zip</Key><LastModified>2013-11-06T05:36:02.000Z</LastModified><ETag>&quot;5e6f9bcbb37ed628a57e23f2b5647adc-2&quot;</ETag><Size>25790337</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/node-webkit-v0.8.1-win-ia32.zip</Key><LastModified>2013-11-22T04:50:01.000Z</LastModified><ETag>&quot;5a877975e1b947a2d37980740270591d-2&quot;</ETag><Size>25795282</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/nw-headers-v0.8.1.tar.gz</Key><LastModified>2013-11-06T05:17:27.000Z</LastModified><ETag>&quot;54cece266e0ebed2a9d24e14c7a80b44&quot;</ETag><Size>2244679</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/nw.breakpad.ia32.gz</Key><LastModified>2013-11-22T07:43:57.000Z</LastModified><ETag>&quot;a3cae99804ba7f30cf22db36aaca7f8f&quot;</ETag><Size>33302332</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/nw.breakpad.x64.gz</Key><LastModified>2013-11-22T07:46:34.000Z</LastModified><ETag>&quot;e0804023e7b8e728c11c9560246c9ccf&quot;</ETag><Size>32048714</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/nw.exe.pdb.zip</Key><LastModified>2013-11-22T07:45:59.000Z</LastModified><ETag>&quot;e348afd84ac5cad556b52a2ed6ab97e2-8&quot;</ETag><Size>111680927</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/nw.exp</Key><LastModified>2013-11-22T05:00:53.000Z</LastModified><ETag>&quot;872cd1eb5b3df7d9c4a3c0a447c73b6e&quot;</ETag><Size>248409</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.1/nw.lib</Key><LastModified>2013-11-22T05:00:32.000Z</LastModified><ETag>&quot;c53e0ae5720e39374be1a6721347d5a6&quot;</ETag><Size>403114</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/node-webkit-osx-dsym-v0.8.2.tar.gz</Key><LastModified>2013-12-06T06:24:57.000Z</LastModified><ETag>&quot;2365e2517b3d8d2876a8710f50de4a41&quot;</ETag><Size>32155831</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/node-webkit-v0.8.2-linux-ia32.tar.gz</Key><LastModified>2013-12-06T03:16:37.000Z</LastModified><ETag>&quot;a9a039d1e0c6fe6feff55a09baeb6b09&quot;</ETag><Size>37576170</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/node-webkit-v0.8.2-linux-x64.tar.gz</Key><LastModified>2013-12-06T01:28:03.000Z</LastModified><ETag>&quot;09832b0b0801acb74de38b7769fdc006&quot;</ETag><Size>40103569</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/node-webkit-v0.8.2-osx-ia32.zip</Key><LastModified>2013-12-06T01:12:41.000Z</LastModified><ETag>&quot;aaa9fab8d90d54bea33c3c5b393c3d8e&quot;</ETag><Size>35854837</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/node-webkit-v0.8.2-win-ia32.zip</Key><LastModified>2013-12-06T01:45:47.000Z</LastModified><ETag>&quot;ab386bd7c969d318e44316e0b80696f7-2&quot;</ETag><Size>25799737</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/nw-headers-v0.8.2.tar.gz</Key><LastModified>2013-12-05T08:11:58.000Z</LastModified><ETag>&quot;57d3b539063dba021757a55e5f9a8da3&quot;</ETag><Size>2288783</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/nw.breakpad.ia32.gz</Key><LastModified>2013-12-06T03:17:59.000Z</LastModified><ETag>&quot;6c1fbf9a4ad5c67a403407b1b065b7da&quot;</ETag><Size>33302066</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/nw.breakpad.x64.gz</Key><LastModified>2013-12-06T03:19:43.000Z</LastModified><ETag>&quot;197971a3ee448638aa13a56b4be516f3&quot;</ETag><Size>32054923</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/nw.exe.pdb.zip</Key><LastModified>2013-12-06T06:17:13.000Z</LastModified><ETag>&quot;09ae1cb5bf0e2ec93df2fd41c7ac2045-8&quot;</ETag><Size>113849660</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/nw.exp</Key><LastModified>2013-12-06T01:51:26.000Z</LastModified><ETag>&quot;226cf776bd85990283e0fbcafb4f487e&quot;</ETag><Size>249097</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.2/nw.lib</Key><LastModified>2013-12-06T01:51:17.000Z</LastModified><ETag>&quot;753d59b603534f769b75acac75adb88c&quot;</ETag><Size>404244</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3-rc1/node-webkit-v0.8.3-rc1-win-ia32.zip</Key><LastModified>2013-12-11T00:34:31.000Z</LastModified><ETag>&quot;ba96fd22dedb3314c98a211c4ac8849e-2&quot;</ETag><Size>25800473</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/node-webkit-osx-dsym-v0.8.3.tar.gz</Key><LastModified>2013-12-20T01:29:46.000Z</LastModified><ETag>&quot;40a5675d7ce45d8c9e9e19ee79635f8f&quot;</ETag><Size>32156697</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/node-webkit-v0.8.3-linux-ia32.tar.gz</Key><LastModified>2013-12-20T02:25:23.000Z</LastModified><ETag>&quot;b76890570306aec25697f445d594eb18&quot;</ETag><Size>37568119</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/node-webkit-v0.8.3-linux-x64.tar.gz</Key><LastModified>2013-12-20T02:47:42.000Z</LastModified><ETag>&quot;ba4f8cd9caa05a3e1c36e677fd103abe&quot;</ETag><Size>40099758</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/node-webkit-v0.8.3-osx-ia32.zip</Key><LastModified>2013-12-20T01:24:13.000Z</LastModified><ETag>&quot;a931ef1d4ddef98e37db4474bddf991e&quot;</ETag><Size>35845948</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/node-webkit-v0.8.3-win-ia32.zip</Key><LastModified>2013-12-20T01:02:26.000Z</LastModified><ETag>&quot;dfd9b0c45356f8e10a50c1d92fd16fed&quot;</ETag><Size>25793645</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/nw-headers-v0.8.3.tar.gz</Key><LastModified>2013-12-20T01:28:45.000Z</LastModified><ETag>&quot;57d3b539063dba021757a55e5f9a8da3&quot;</ETag><Size>2288783</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/nw.breakpad.ia32.gz</Key><LastModified>2013-12-20T02:27:08.000Z</LastModified><ETag>&quot;a61456efac25adaba2ca9433a4299b34&quot;</ETag><Size>33307446</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/nw.breakpad.x64.gz</Key><LastModified>2013-12-20T02:50:27.000Z</LastModified><ETag>&quot;c47c2b029c3caaee1879786b86ea9b7b&quot;</ETag><Size>32054532</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/nw.exe.pdb.zip</Key><LastModified>2013-12-20T01:05:41.000Z</LastModified><ETag>&quot;b642e793185b14ba15b64fa9a97f5375&quot;</ETag><Size>113145100</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/nw.exp</Key><LastModified>2013-12-20T01:04:40.000Z</LastModified><ETag>&quot;c7de31af3d9d830a11e3dce5a193e78d&quot;</ETag><Size>249097</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.3/nw.lib</Key><LastModified>2013-12-20T01:04:32.000Z</LastModified><ETag>&quot;3c2977c9b3b603a7fd115578024a89fa&quot;</ETag><Size>404244</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/node-webkit-osx-dsym-v0.8.4.tar.gz</Key><LastModified>2013-12-30T10:54:16.000Z</LastModified><ETag>&quot;3c7c1148b83117194dc1b60a535f3998&quot;</ETag><Size>32156633</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/node-webkit-src-v0.8.4.tar.gz</Key><LastModified>2014-01-13T05:52:49.000Z</LastModified><ETag>&quot;07574ce9f8981f55f663ce14a6ddcf33&quot;</ETag><Size>1352888846</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/node-webkit-v0.8.4-linux-ia32.tar.gz</Key><LastModified>2013-12-30T05:37:29.000Z</LastModified><ETag>&quot;f92fa04ffab48b8542a5e4ddc2dbbe5b&quot;</ETag><Size>37568145</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/node-webkit-v0.8.4-linux-x64.tar.gz</Key><LastModified>2013-12-30T05:25:04.000Z</LastModified><ETag>&quot;41bb09965cf724c0d972436f64f0de88&quot;</ETag><Size>40098594</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/node-webkit-v0.8.4-osx-ia32.zip</Key><LastModified>2013-12-30T01:33:14.000Z</LastModified><ETag>&quot;70c7e89ceeef11b5d6090a14b72ecd02&quot;</ETag><Size>35846286</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/node-webkit-v0.8.4-win-ia32.zip</Key><LastModified>2013-12-30T02:50:03.000Z</LastModified><ETag>&quot;886062473950c0e45a6988043e5e6df1-2&quot;</ETag><Size>25794523</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/nw-headers-v0.8.4.tar.gz</Key><LastModified>2013-12-30T01:36:52.000Z</LastModified><ETag>&quot;57d3b539063dba021757a55e5f9a8da3&quot;</ETag><Size>2288783</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/nw.breakpad.ia32.gz</Key><LastModified>2013-12-30T05:36:30.000Z</LastModified><ETag>&quot;7794a50e10b5037607b5da9463a37dfd&quot;</ETag><Size>34155011</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/nw.breakpad.x64.gz</Key><LastModified>2013-12-30T05:24:31.000Z</LastModified><ETag>&quot;7f7d85187f26461755e5c21d10a5d9f2&quot;</ETag><Size>32499820</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/nw.exe.pdb.zip</Key><LastModified>2013-12-30T02:52:00.000Z</LastModified><ETag>&quot;6b3e7336964d5c6ff60bb2959984f2c5&quot;</ETag><Size>113144382</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/nw.exp</Key><LastModified>2013-12-30T02:54:01.000Z</LastModified><ETag>&quot;a34ab8cc6cad57066e1c1269725cca64&quot;</ETag><Size>249097</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.8.4/nw.lib</Key><LastModified>2013-12-30T02:54:08.000Z</LastModified><ETag>&quot;e8910b9d931f12fe3453060b6a6726b5&quot;</ETag><Size>404244</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.9.0-rc1/node-webkit-v0.9.0-rc1-osx-ia32.zip</Key><LastModified>2014-01-22T02:43:38.000Z</LastModified><ETag>&quot;f4c4c5f72d2c6ca6d874ecc2c4cd1e0e&quot;</ETag><Size>36213086</Size><StorageClass>STANDARD</StorageClass></Contents><Contents><Key>v0.9.0-rc1/nw-headers-v0.9.0-rc1.tar.gz</Key><LastModified>2014-01-22T08:30:56.000Z</LastModified><ETag>&quot;2eaada3c34683255204a213c10ac1bed&quot;</ETag><Size>2314268</Size><StorageClass>STANDARD</StorageClass></Contents></ListBucketResult>';

var baseUrl = "https://amazon.s3.nw.com";
nock(baseUrl).get("/xml").reply(200, xmlFixture);

test("Throw files", function (t) {
  t.plan(1);
  t.throws(function () {
    new NwBuilder({ files: null });
  }, "Check for files");
});

test("Throw platforms", function (t) {
  t.plan(1);
  t.throws(function () {
    new NwBuilder({ platforms: null });
  }, "Check for platforms");
});

test("Should check if we have some files", function (t) {
  t.plan(2);

  var x = new NwBuilder({
    files: "./test/fixtures/nwapp/**/*",
  });

  x.checkFiles().then(function () {
    t.deepEqual(x._appPkg, {
      name: "nw-demo",
      version: "0.1.0",
      main: "index.html",
    });
    t.equal(x._files.length, 7);
  });
});

test("Should take the option name if provided", function (t) {
  t.plan(1);

  var x = new NwBuilder({
    files: "./test/fixtures/nwapp/**/*",
    appName: "somename",
  });

  x.checkFiles().then(function () {
    t.equal(x.options.appName, "somename");
  });
});

test("Should check if we have some files: rejection", function (t) {
  t.plan(1);

  var x = new NwBuilder({
    files: "./test/fixtures/nwapp/images/**",
  });

  x.checkFiles().catch(function (error) {
    t.equal(error, "Could not find a package.json in your src folder");
  });
});

test("Should apply platform-specific overrides correctly", function (t) {
  t.plan(6);

  var x = new NwBuilder({
    files: "./test/fixtures/platformOverrides/**/*",
    platforms: ["osx32", "osx64", "win32", "win64", "linux32", "linux64"],
  });

  x.checkFiles()
    .then(x.preparePlatformSpecificManifests.bind(x))
    .then(function () {
      _.forEach(x._platforms, function (platform, platformName) {
        var file = fs.readFileSync(
          path.join(
            "./test/expected/platformOverrides",
            platformName + ".json",
          ),
        );
        t.deepEqual(
          platform.platformSpecificManifest,
          JSON.parse(file.toString()),
          platformName + ".json",
        );
      });
    });
});

test("Should only create one ZIP if there are no platform-specific overrides", function (t) {
  t.plan(17);

  var x = new NwBuilder({
    files: "./test/fixtures/nwapp/**/*",
    platforms: ["osx32", "osx64", "win32", "win64", "linux32", "linux64"],
    zip: true,
  });

  x.checkFiles()
    .then(x.preparePlatformSpecificManifests.bind(x))
    .then(x.zipAppFiles.bind(x))
    .then(function () {
      _.forEach(x._zips, function (zip, platformName) {
        t.equal(
          zip.platformSpecific,
          false,
          platformName + " should be marked as platform specific",
        );
        t.equal(
          !!zip.file,
          true,
          platformName + " ZIP file property should exist",
        );
      });

      t.deepEqual(
        x._zips.osx32,
        x._zips.osx64,
        "OSX 32-bit ZIP should be equal to the OSX 64-bit one",
      );
      t.deepEqual(
        x._zips.osx64,
        x._zips.win32,
        "OSX 64-bit ZIP should be equal to the Windows 32-bit one",
      );
      t.deepEqual(
        x._zips.win32,
        x._zips.win64,
        "Windows 32-bit ZIP should be equal to the Windows 64-bit one",
      );
      t.deepEqual(
        x._zips.win64,
        x._zips.linux32,
        "Windows 64-bit ZIP should be equal to the Linux 32-bit one",
      );
      t.deepEqual(
        x._zips.linux32,
        x._zips.linux64,
        "Linux 32-bit ZIP should be equal to the Linux 64-bit one",
      );
    });
});

test("Should create a ZIP per platform if every platform has overrides", function (t) {
  t.plan(15);

  var x = new NwBuilder({
    files: "./test/fixtures/platformOverrides/**/*",
    platforms: ["osx32", "osx64", "win32", "win64", "linux32", "linux64"],
    zip: true,
  });

  x.checkFiles()
    .then(x.preparePlatformSpecificManifests.bind(x))
    .then(x.zipAppFiles.bind(x))
    .then(function () {
      _.forEach(x._zips, function (zip, platformName) {
        t.equal(
          zip.platformSpecific,
          true,
          platformName + " should be marked as platform specific",
        );
        t.equal(
          !!zip.file,
          true,
          platformName + " ZIP file property should exist",
        );
      });

      t.notDeepEqual(
        x._zips.osx32,
        x._zips.win32,
        "OSX ZIP should be different to the Windows one",
      );
      t.notDeepEqual(
        x._zips.win32,
        x._zips.linux32,
        "Windows ZIP should be different to the Linux 32 one",
      );
      t.notDeepEqual(
        x._zips.linux32,
        x._zips.linux64,
        "Linux 32 ZIP should be different to the Linux 64 one",
      );
    });
});

test("Should create a ZIP per platform which has overrides and one between the rest", function (t) {
  t.plan(15);

  var x = new NwBuilder({
    files: "./test/fixtures/oneOveriddenRestNot/**/*",
    platforms: ["osx32", "osx64", "win32", "win64", "linux32", "linux64"],
    zip: true,
  });

  x.checkFiles()
    .then(x.preparePlatformSpecificManifests.bind(x))
    .then(x.zipAppFiles.bind(x))
    .then(function () {
      _.forEach(x._zips, function (zip, platformName) {
        t.equal(
          zip.platformSpecific,
          platformName === "osx32",
          platformName + " should be marked as platform specific",
        );
        t.equal(
          !!zip.file,
          true,
          platformName + " ZIP file property should exist",
        );
      });

      t.notDeepEqual(
        x._zips.osx32,
        x._zips.win32,
        "OSX ZIP should be different to the Windows one",
      );
      t.deepEqual(
        x._zips.win32,
        x._zips.linux32,
        "Windows ZIP should be equal to the Linux 32 one",
      );
      t.deepEqual(
        x._zips.linux32,
        x._zips.linux64,
        "Linux 32 ZIP should be equal to the Linux 64 one",
      );
    });
});

test("Should find latest version", function (t) {
  t.plan(2);

  nock("http://nwjs.io")
    .get("/versions.json")
    .replyWithFile(200, "./test/fixtures/manifest/versions.json");
  nock("http://nwjs.io")
    .get("/versions.json")
    .replyWithFile(200, "./test/fixtures/manifest/versions.json");

  var x = new NwBuilder({
    files: "**",
    version: "latest",
  });

  x.resolveLatestVersion().then(function () {
    t.ok(semver.valid(x.options.version), "Version: " + x.options.version);
  });

  x.on("log", function (message) {
    t.equal(/Latest Version: v*/.test(message), true, "should log version");
  });
});

test("Should not accept an invalid version", function (t) {
  t.plan(1);

  var x = new NwBuilder({
    files: "**",
    version: "1.blah.0",
  });

  x.checkVersion().catch(function (err) {
    t.ok(err);
  });
});

test("Should not zip mac apps by default", function (t) {
  t.plan(1);

  var x = new NwBuilder({
    files: "./test/fixtures/nwapp/**/*",
    platforms: ["osx32", "osx64"],
  });
  x.zipAppFiles.call(x).then(function () {
    t.notOk(x._needsZip);
  });
});

testSetup({
  afterEach: function (done) {
    del("./test/temp/oneOverridenRestNot", done);
  },
})(
  "Should write package.json with platform overrides for (unzipped) Mac build",
  function (t) {
    t.plan(1);

    var appName = "theapp",
      buildDir = "./test/temp/oneOverridenRestNot",
      x = new NwBuilder({
        files: "./test/fixtures/oneOveriddenRestNot/**/*",
        platforms: ["osx32"],
        appName: appName,
        buildDir: buildDir,
      });

    x.checkFiles()
      .then(x.preparePlatformSpecificManifests.bind(x))
      .then(x.createReleaseFolder.bind(x))
      .then(x.mergeAppFiles.bind(x))
      .then(function () {
        t.deepEqual(
          JSON.parse(
            fs
              .readFileSync(
                path.join(
                  buildDir,
                  appName,
                  "osx32",
                  appName + ".app",
                  "Contents",
                  "Resources",
                  "app.nw",
                  "package.json",
                ),
              )
              .toString(),
          ),
          JSON.parse(
            fs
              .readFileSync("./test/expected/oneOveriddenRestNot/osx32.json")
              .toString(),
          ),
        );
        t.end();
      });
  },
);
